base64.c(3)

NAME
base64.c - Base64 functions.

SYNOPSIS

#include <config.h>
#include <stddef.h>
#include <stdarg.h>
#include <wget.h>
#include 'private.h'

  Macros
#define WGET_BASE64_URLENCODE 1

  Functions
bool wget_base64_is_string (const char *src)
size_t wget_base64_decode (char *dst, const char *src, size_t n)
char * wget_base64_decode_alloc (const char *src, size_t n, size_t *outlen)
size_t wget_base64_encode (char *dst, const char *src, size_t n)
size_t wget_base64_urlencode (char *dst, const char *src, size_t n)
char * wget_base64_encode_alloc (const char *src, size_t n)
char * wget_base64_encode_vprintf_alloc (const char *fmt, va_list args)
char * wget_base64_encode_printf_alloc (const char *fmt,...)
size_t wget_base64_get_decoded_length (size_t len)
size_t wget_base64_get_encoded_length (size_t len)

Detailed Description

Base64 functions.

Author

Generated automatically by Doxygen for wget2 from the source code.